##NOTE Push to core AND nonfree with:
# $ mgarepo submit sdcc --define section=core/release
# $ mgarepo submit sdcc --define section=nonfree/release

%define nonfree 0
%if "%distro_section" == "nonfree"
%define nonfree 1
%endif

Name:		sdcc
Version:	3.4.0
Release:	%mkrel 6
Summary:	Small Device C Compiler
Group:		Development/Other
License:	GPLv2 GPLv3 GPLv2+LE
URL:		http://sdcc.sourceforge.net/
Source0:	http://sourceforge.net/projects/%{name}/files/%{name}/%{version}/%{name}-src-%{version}.tar.bz2

BuildRequires:	bison
BuildRequires:	boost-devel
BuildRequires:	flex
BuildRequires:	gputils
BuildRequires:	libgc-devel
BuildRequires:	lyx
BuildRequires:	latex2html
%if "%mgaver" > "3"
BuildRequires:	texlive-dist
%endif

Obsoletes:	%{name}-doc < 3.4
Obsoletes:	%{name}2.9 < 3.0

Patch0:		sdcc-3.4-mga-binutils-2.24-bfd.patch
Patch1:		sdcc-3.4.0-libiberty.patch
Patch2:		sdcc-3.4.0-strndup.patch

Requires:	gputils
Conflicts:	sdcc2.9 < %{version}

%description
SDCC is a retargetable, optimizing ANSI-C compiler that targets the
Intel 8051, Maxim 80DS390, Zilog Z80 and the Motorola 68HC08 based
MCUs. Work is in progress on supporting the Microchip PIC16 and
PIC18 series.
%if %{nonfree}
This package is in non-free because it includes some non-free content.
%else
A package including support for more devices is available in the non-free
repository.
%endif

%prep
%setup -q
%apply_patches

%build
# Use cp as pdfopt is obsolete
OPTS='PDFOPT="/bin/cp"'
%configure2_5x \
	--enable-doc STRIP=: ${OPTS} \
	--enable-libgc \
%if %{nonfree}
	--enable-non-free
%else
	--disable-non-free
%endif	
	
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_includedir}/*
rm -f %{buildroot}%{_libdir}/*
mv %{buildroot}%{_docdir}/ucsim %{buildroot}%{_docdir}/%{name}/

find %{buildroot} -name INSTALL.txt -delete

%files
%doc %{_docdir}/%{name}/
%{_bindir}/*
%{_datadir}/%{name}/


%changelog
* Mon Aug 18 2014 barjac <barjac> 3.4.0-6.mga3
+ Revision: 665255
- obsolete sdcc2.9
- dont relocate binaries
- remove README.Mageia
- new version
- resolves mga#13841 CVE-2012-3509

* Mon Jan 14 2013 umeabot <umeabot> 3.2.0-5.mga3
+ Revision: 381921
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 bertl <bertl> 3.2.0-4.mga3
+ Revision: 332111
- updated to 3.2.0-svn

* Tue Feb 21 2012 bertl <bertl> 3.1.0-5.mga2
+ Revision: 211681
- extended gccbug workaround to 4.6.x
- added --enable-new-pics to build enhanced cores libraries
- updated to 3.1.0

* Thu May 12 2011 tmb <tmb> 3.0.2-1.mga1
+ Revision: 97637
- update to 3.0.2 (Herbert Poetzl)
- pic16f72x support added (Herbert Poetzl)

* Sun May 01 2011 tmb <tmb> 3.0.0-4.mga1
+ Revision: 94077
- disable parallel make as it breaks the build
- spec cleanup
- bump rel to support upgrade from mdv

  + spuhler <spuhler>
    - changed rel to 1 from 3
    - imported package sdcc


* Sun Dec 26 2010 Jani Välimaa <wally@mandriva.org> 3.0.0-3mdv2011.0
+ Revision: 625251
- conflict with sdcc2.9

* Sun Dec 26 2010 Jani Välimaa <wally@mandriva.org> 3.0.0-2mdv2011.0
+ Revision: 625213
- remove old source
- add old build options back
- enable parallel build

* Fri Nov 05 2010 Thomas Spuhler <tspuhler@mandriva.org> 3.0.0-1mdv2011.0
+ Revision: 593611
- updated  for 3.0.0
- added source for 3.0.0
- added fix-build-on-mandriva.patch for 3.0.0
- increased rel to 6 for rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Apr 18 2008 Giuseppe Ghibò <ghibo@mandriva.com> 2.8.0-4mdv2009.0
+ Revision: 195717
- Fix permission for binaries.

* Sat Apr 12 2008 Giuseppe Ghibò <ghibo@mandriva.com> 2.8.0-3mdv2009.0
+ Revision: 192616
- Added python to BuildRequires.
- Release 2.8.0.
- Build PDF and HTML documentation
- Merge docs into main package.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

* Fri Oct 19 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.7.0.20071018.4933-1mdv2008.1
+ Revision: 100482
- Added missing BuildRequires to flex.
- Fixed Group tag.
- First package.
- Created package structure for sdcc.

